<?php

declare(strict_types=1);

namespace Drupal\webform_email_reply_threads;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\user\EntityOwnerInterface;
use Drupal\webform\WebformSubmissionInterface;

/**
 * Provides an interface defining a webform email reply thread entity type.
 */
interface WebformEmailReplyThreadInterface extends ContentEntityInterface, EntityOwnerInterface, EntityChangedInterface {

  /**
   * Gets the thread creation timestamp.
   *
   * @return int
   *   Creation timestamp of the thread.
   */
  public function getCreatedTime();

  /**
   * Gets the thread's submission.
   *
   * @return \Drupal\webform\WebformSubmissionInterface|null
   *   The submission.
   */
  public function getSubmission(): ?WebformSubmissionInterface;

}
