<?php

declare(strict_types=1);

namespace Drupal\webform_email_reply_threads;

use Drupal\Core\Config\Entity\ConfigEntityInterface;
use Drupal\webform\WebformInterface;

/**
 * Provides an interface defining a webform email reply thread type entity type.
 */
interface WebformEmailReplyThreadTypeInterface extends ConfigEntityInterface {

  /**
   * Get the webform for the thread type.
   *
   * @return \Drupal\webform\WebformInterface|null
   *   The webform, or NULL if not available.
   */
  public function getWebform(): ?WebformInterface;

}
